When I load certain

Hi,

When I load certain pages, I get the following error msg: Notice: wpdb::escape is deprecated since version 3.6.0! Use wpdb::prepare() or esc_sql() instead. in /home/myspiritbusiness/public_html/wp-includes/functions.php on line 3829

This is one of the pages: https://myspiritbusiness.com/free-spirit-workbook-4/

What's the best way to fix this, and why did it happen?

Cheers,
Tomas

  • Nastia

    Hello Tomas , hope you're doing well!

    It looks like one of the plugin's is using a value that is no longer readable by the PHP version you have on your server.

    Though the notices are not crucial to the sites function and you can hide this notice by editing the wp-config.php file. Just locate this line:

    define( 'WP_DEBUG', true );

    and replace it with this one:

    define( 'WP_DEBUG', false);

    Though I've visited your site and the notice is no longer visible :slight_smile:

    Hope this helps!

    Cheers,
    Nastia

Thank NAME, for their help.

Let NAME know exactly why they deserved these points.

Gift a custom amount of points.